Update Custom Object by ID
Updates a Custom Object associated with the authenticated User using an Access Token and record ID.
Updates a Custom Object associated with the authenticated User using an Access Token and record ID.
Authorization
BearerToken APIKey Bearer token for user authentication
In: header
Tenant API Key for authentication
In: query
Path Parameters
Unique identifier for the Custom Object record. The ID is used to target a specific Custom Object.
uuidQuery Parameters
Name of the Custom Object to be used in the request. The name should match the Custom Object configured in your LoginRadius account.
The type of update to be performed on the Custom Object. This parameter is used to specify whether the update should be a full update or a partial update.
"partialreplace" | "replace" | "default"Access Token of the User
When true, suppresses webhook events for this operation.
Unique identifier for the Custom Object record
Header Parameters
When true, suppresses webhook events for this operation.
Request Body
application/json
JSON payload representing the Custom Object to be updated.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/identity/v2/auth/customobject/123e4567-e89b-12d3-a456-426614174000?objectname=customObjectName1&updateType=partialreplace&access_token=493318dd-487a-439b-8302-5e27f1110244&prevent_webhook=true&customobjectid=customObject12" \ -H "X-PreventWebhook: true" \ -H "Content-Type: application/json" \ -d '{ "firstName": "John", "lastName": "Doe", "age": 30, "address": { "street": "123 Main St", "city": "Metropolis" }, "isActive": true }'{
"IsActive": true,
"IsDeleted": false,
"CustomObject": {
"firstName": "John",
"lastName": "Doe",
"age": 30
},
"Id": "abc123",
"Uid": "user456",
"DateCreated": "2024-05-28T12:34:56Z",
"DateModified": "2024-05-29T09:10:11Z"
}{
"ErrorCode": 1079,
"Message": "Put body is invalid or empty",
"Description": "Please use a valid put body in JSON format in order to process this request."
}{
"errorCode": 1409,
"message": "Authentication failed",
"description": "The credentials provided could not be authenticated."
}{
"ErrorCode": 984,
"Message": "Account ID is invalid",
"Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}{
"ErrorCode": 950,
"Message": "Operation failed due to an unknown error",
"Description": "An unknown error has occurred, please try again in a few minutes or contact your system admin."
}